summaryrefslogtreecommitdiffstats
path: root/scripts/diffconfig.sh
diff options
context:
space:
mode:
authorEneas U de Queiroz <cotequeiroz@gmail.com>2022-02-21 14:44:43 -0300
committerPetr Štetiar <ynezz@true.cz>2022-02-26 13:36:30 +0100
commit65c28d7a6750b5f73328736414902e58339b0784 (patch)
tree862faf289b8c768e5c7d20077e3c07c2ba3d4c44 /scripts/diffconfig.sh
parentfe1ecf1fcbc00642b60f00f95640c17787cc9c62 (diff)
downloadopenwrt-65c28d7a6750b5f73328736414902e58339b0784.tar.gz
openwrt-65c28d7a6750b5f73328736414902e58339b0784.tar.bz2
openwrt-65c28d7a6750b5f73328736414902e58339b0784.zip
scripts/diffconfig.sh: ensure config/conf is built
diffconfig.sh runs ./scripts/config/conf, but it does not get built with 'make {menu,x,n}config. Call 'make ./scripts/config/conf' to ensure it's been built before running it, aborting in case of failure. Signed-off-by: Eneas U de Queiroz <cotequeiroz@gmail.com> Signed-off-by: Petr Štetiar <ynezz@true.cz>[removed Fixes: due revert]
Diffstat (limited to 'scripts/diffconfig.sh')
-rwxr-xr-xscripts/diffconfig.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/scripts/diffconfig.sh b/scripts/diffconfig.sh
index 5f9fec5600..7ffe9dd01a 100755
--- a/scripts/diffconfig.sh
+++ b/scripts/diffconfig.sh
@@ -1,4 +1,5 @@
#!/bin/sh
+make ./scripts/config/conf >/dev/null || { make ./scripts/config/conf; exit 1; }
grep \^CONFIG_TARGET_ .config | head -n3 > tmp/.diffconfig.head
grep \^CONFIG_TARGET_DEVICE_ .config >> tmp/.diffconfig.head
grep '^CONFIG_ALL=y' .config >> tmp/.diffconfig.head